Bug 1129484 - Review Request: bustle - Draw pretty sequence diagrams of D-Bus traffic
Summary: Review Request: bustle - Draw pretty sequence diagrams of D-Bus traffic
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1131892
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 21:04 UTC by Philip Withnall
Modified: 2014-08-27 01:31 UTC (History)
4 users (show)

Fixed In Version: bustle-0.4.7-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-27 01:30:42 UTC
amigadave: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Philip Withnall 2014-08-12 21:04:44 UTC
Spec URL: http://people.collabora.co.uk/~pwith/packaging/bustle.spec
SRPM URL: http://people.collabora.co.uk/~pwith/packaging/bustle-0.4.7-1.fc19.src.rpm
Description: Bustle is a better dbus-monitor!

It records and draws sequence diagrams of D-Bus activity, showing
signal emissions, method calls and their corresponding returns, with
timestamps for each individual event and the duration of each method
call. This can help you check for unwanted D-Bus traffic, and pinpoint
why your D-Bus-based application isn't performing as well as you like.
It also provides statistics like signal frequencies and average method
call times.

Fedora Account System Username: pwithnall

Koji builds:
 • F19: http://koji.fedoraproject.org/koji/taskinfo?taskID=7284295
 • F20: http://koji.fedoraproject.org/koji/taskinfo?taskID=7284303
 • F21: http://koji.fedoraproject.org/koji/taskinfo?taskID=7284315
 • F22: http://koji.fedoraproject.org/koji/taskinfo?taskID=7284325

Comment 1 David King 2014-08-14 10:47:58 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.

Easy to fix, the packaging guidelines have some hints: https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

- directory ownership https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

The package should own the /usr/share/bustle-0.4.7 directory, which is also easy to fix.

- preserve timestamps on install

This is easily done by adding 'INSTALL="install -p"' to the make install invocation (but is optional).

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "Unknown or generated". 10 files have unknown
     license. Detailed output of licensecheck in
     /home/david/checkout/rpms/1129484-bustle/licensecheck.txt
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/bustle-0.4.7
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/bustle-0.4.7
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in bustle
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Haskell:
[x]: This should never happen

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: bustle-0.4.7-1.fc22.x86_64.rpm
          bustle-0.4.7-1.fc22.src.rpm
bustle.x86_64: W: spelling-error %description -l en_US dbus -> dubs, bus, buds
bustle.x86_64: W: spelling-error %description -l en_US timestamps -> time stamps, time-stamps, times tamps
bustle.x86_64: W: unstripped-binary-or-object /usr/bin/bustle-pcap
bustle.x86_64: W: no-manual-page-for-binary bustle
bustle.src: W: spelling-error %description -l en_US dbus -> dubs, bus, buds
bustle.src: W: spelling-error %description -l en_US timestamps -> time stamps, time-stamps, times tamps
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint bustle
bustle.x86_64: W: spelling-error %description -l en_US dbus -> dubs, bus, buds
bustle.x86_64: W: spelling-error %description -l en_US timestamps -> time stamps, time-stamps, times tamps
bustle.x86_64: W: unstripped-binary-or-object /usr/bin/bustle-pcap
bustle.x86_64: W: no-manual-page-for-binary bustle
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
bustle (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(Cabal-1.16.0-eb3c12450ebbf2810048acb780cbe706)
    ghc(array-0.4.0.1-3b78425c10ff2dad7acf7e8c8ae014c3)
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(cairo-0.12.5.0-c454362d1d9f4b8422ca6be56297c557)
    ghc(cereal-0.3.5.2-fc098c2a100f7672fe91a2ff0d514d7e)
    ghc(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc(cpphs-1.16-15d27b0080912629e5fe51cce6f4d42a)
    ghc(dbus-0.10.7-d3861b32c48ea32e8c85a951d6b617a1)
    ghc(deepseq-1.3.0.1-5cc4cd89bdc2e8f6db1833d95ec36926)
    ghc(directory-1.2.0.1-91a788fd88acd7f149f0f10f5f1e23f2)
    ghc(filepath-1.3.0.1-b12cbe18566fe1532a1fda4c85e31cbe)
    ghc(ghc-prim-0.3.0.0-d5221a8c8a269b66ab9a07bdc23317dd)
    ghc(gio-0.12.5.0-8e2e6be748393f2d1ef26ffa57119327)
    ghc(glib-0.12.5.0-992f4dd82469b773b454b4f7678a42b6)
    ghc(gtk-0.12.5.0-b7bfbcfd8c5919b55207c7e320408db3)
    ghc(hashable-1.1.2.5-e0f2541518f84d3123a819112b4ffe20)
    ghc(haskell-src-exts-1.13.5-09569c34818db80ed3a90a5faa4f069a)
    ghc(hgettext-0.1.30-9ff0f41d6b6cbff04b47edcba0be8fd2)
    ghc(integer-gmp-0.5.0.0-2f15426f5b53fe4c6490832f9b20d8d7)
    ghc(libxml-sax-0.7.5-a90b7244139dbb77530c71daa3a57ffc)
    ghc(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc(network-2.4.1.2-ceff6721a9d15c92aeb91b7ff1b8e52b)
    ghc(old-locale-1.0.0.5-6729cb9d9cc62d150655de8fc5401b91)
    ghc(old-time-1.1.0.1-2f8ea093d0c7014780a8a5772f948883)
    ghc(pango-0.12.5.0-1d4b90912e427f6a31bf8f08c7ed221f)
    ghc(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc(pcap-0.4.5.2-3a21a7f495dd452a593a880072e14ac5)
    ghc(pretty-1.1.1.0-66181c695e6a2e173ba2088cf55cc396)
    ghc(primitive-0.5.0.1-8e5f40b409f7bb31ae1acfb125279700)
    ghc(process-1.1.0.2-76e05340eb66705981411022731ca84a)
    ghc(random-1.0.1.1-43fdc5da991685d8a0ec8cb553880cf8)
    ghc(setlocale-0.0.3-c8efec773e4e398af4aea9dcac6b942b)
    ghc(syb-0.4.0-c48d52f3188b986ddaa9dd9ae40072f8)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc(time-1.4.0.1-10dc4804a19dc0000fab79908f1a9f50)
    ghc(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc(uniplate-1.6.10-9c77af54b48e9237bd9b5b633a0939df)
    ghc(unix-2.6.0.1-4f219f792083f70ec440ce406f12ce57)
    ghc(unordered-containers-0.2.3.0-c7952fe8bed178bdf8ed4d090730c9da)
    ghc(utf8-string-0.3.7-26a8ed8ca48fe809983bde6faca943a9)
    ghc(vector-0.10.0.1-869166d5d49db46ce6c328ea5f8defbf)
    ghc(xml-types-0.3.3-7b14ed2f9343ec2abad5883df6726a1f)
    gnome-icon-theme
    libHSCabal-1.16.0-ghc7.6.3.so()(64bit)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScairo-0.12.5.0-ghc7.6.3.so()(64bit)
    libHScereal-0.3.5.2-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHScpphs-1.16-ghc7.6.3.so()(64bit)
    libHSdbus-0.10.7-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdirectory-1.2.0.1-ghc7.6.3.so()(64bit)
    libHSfilepath-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSgio-0.12.5.0-ghc7.6.3.so()(64bit)
    libHSglib-0.12.5.0-ghc7.6.3.so()(64bit)
    libHSgtk-0.12.5.0-ghc7.6.3.so()(64bit)
    libHShashable-1.1.2.5-ghc7.6.3.so()(64bit)
    libHShaskell-src-exts-1.13.5-ghc7.6.3.so()(64bit)
    libHShgettext-0.1.30-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSlibxml-sax-0.7.5-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSnetwork-2.4.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSold-time-1.1.0.1-ghc7.6.3.so()(64bit)
    libHSpango-0.12.5.0-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHSpcap-0.4.5.2-ghc7.6.3.so()(64bit)
    libHSpretty-1.1.1.0-ghc7.6.3.so()(64bit)
    libHSprimitive-0.5.0.1-ghc7.6.3.so()(64bit)
    libHSprocess-1.1.0.2-ghc7.6.3.so()(64bit)
    libHSrandom-1.0.1.1-ghc7.6.3.so()(64bit)
    libHSrts_thr-ghc7.6.3.so()(64bit)
    libHSsetlocale-0.0.3-ghc7.6.3.so()(64bit)
    libHSsyb-0.4.0-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSuniplate-1.6.10-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libHSunordered-containers-0.2.3.0-ghc7.6.3.so()(64bit)
    libHSutf8-string-0.3.7-ghc7.6.3.so()(64bit)
    libHSvector-0.10.0.1-ghc7.6.3.so()(64bit)
    libHSxml-types-0.3.3-ghc7.6.3.so()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libdl.so.2()(64bit)
    libffi.so.6()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmp.so.10()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpcap.so.1()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    libxml2.so.2()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
bustle:
    appdata()
    appdata(bustle.appdata.xml)
    application()
    application(bustle.desktop)
    bustle
    bustle(x86-64)



Source checksums
----------------
http://hackage.haskell.org/packages/archive/bustle/0.4.7/bustle-0.4.7.tar.gz :
  CHECKSUM(SHA256) this package     : 08b12207561157e639bc64e0b274e70e4909f50079cd97564c916d66a3f088b9
  CHECKSUM(SHA256) upstream package : 08b12207561157e639bc64e0b274e70e4909f50079cd97564c916d66a3f088b9


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1129484
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 David King 2014-08-14 18:21:37 UTC
Looks good!

Comment 4 Philip Withnall 2014-08-17 22:11:17 UTC
New Package SCM Request
=======================
Package Name: bustle
Short Description: Draw pretty sequence diagrams of D-Bus traffic
Upstream URL: http://willthompson.co.uk/bustle/
Owners: pwithnall
Branches: f19 f20 f21 f22
InitialCC: haskell-sig

Comment 5 Kevin Fenzi 2014-08-18 14:55:59 UTC
Git done (by process-git-requests).

There's no f22 branches yet, thats just master. ;)

Comment 6 Fedora Update System 2014-08-18 16:02:04 UTC
bustle-0.4.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bustle-0.4.7-1.fc19

Comment 7 Fedora Update System 2014-08-18 16:18:35 UTC
bustle-0.4.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bustle-0.4.7-1.fc20

Comment 8 Fedora Update System 2014-08-19 07:08:28 UTC
bustle-0.4.7-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Philip Withnall 2014-08-20 08:50:11 UTC
The builds for F21 and F22 are failing at the moment due to a crash in rpmdeps on the build machines: bug #1131892.

http://koji.fedoraproject.org/koji/taskinfo?taskID=7407823
http://koji.fedoraproject.org/koji/taskinfo?taskID=7407826

Comment 10 Fedora Update System 2014-08-27 01:30:42 UTC
bustle-0.4.7-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 11 Fedora Update System 2014-08-27 01:31:07 UTC
bustle-0.4.7-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.